summaryrefslogtreecommitdiffstats
path: root/source/a/pkgtools/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/pkgtools/scripts')
-rw-r--r--source/a/pkgtools/scripts/installpkg4
-rw-r--r--source/a/pkgtools/scripts/removepkg2
2 files changed, 3 insertions, 3 deletions
diff --git a/source/a/pkgtools/scripts/installpkg b/source/a/pkgtools/scripts/installpkg
index f19cf59c0..ddd8e693b 100644
--- a/source/a/pkgtools/scripts/installpkg
+++ b/source/a/pkgtools/scripts/installpkg
@@ -677,9 +677,9 @@ EOF
# rather than spawning subshells which is slow on ARM. This will also speed up
# install script processing on any platform.
if [ -x /bin/bash ]; then
- cd $ROOT/ ; sed -e's?^( cd \([^;]*\);\(.*\) )$?pushd \1 \&\> /dev/null ; \2 ; popd \&\> /dev/null?g ' $INSTDIR/doinst.sh | /bin/bash
+ ( cd $ROOT/ ; sed -e's?^( cd \([^;]*\);\(.*\) )$?pushd \1 \&\> /dev/null ; \2 ; popd \&\> /dev/null?g ' $INSTDIR/doinst.sh | /bin/bash )
else
- cd $ROOT/ ; sh $INSTDIR/doinst.sh
+ ( cd $ROOT/ ; sh $INSTDIR/doinst.sh )
fi
else # use locking
# If bash is available, use sed to convert the install script to use pushd/popd
diff --git a/source/a/pkgtools/scripts/removepkg b/source/a/pkgtools/scripts/removepkg
index 5a1c7dcdd..ec9b4299a 100644
--- a/source/a/pkgtools/scripts/removepkg
+++ b/source/a/pkgtools/scripts/removepkg
@@ -411,7 +411,7 @@ remove_packages() {
fi
# If there is an uninstall script, run it here:
if [ -r $TMP/$PKGNAME ]; then
- cd $ROOT/ ; sh $TMP/$PKGNAME
+ ( cd $ROOT/ ; sh $TMP/$PKGNAME )
# Move the uninstall script to $LOG_DIR/removed_uninstall_scripts:
mv $TMP/$PKGNAME $LOG_DIR/removed_uninstall_scripts
fi